import * as tslib_1 from "tslib";
import { IgcCancelEventArgs } from "igniteui-webcomponents-core";
/**
 * Event arguments for the
 * editModeEntering event.
*/
var IgcSpreadsheetEditModeEnteringEventArgs = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(IgcSpreadsheetEditModeEnteringEventArgs, _super);
    function IgcSpreadsheetEditModeEnteringEventArgs() {
        return _super.call(this) || this;
    }
    Object.defineProperty(IgcSpreadsheetEditModeEnteringEventArgs.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgcSpreadsheetEditModeEnteringEventArgs.prototype, "cell", {
        /**
         * Returns the cell for which the control is going into edit mode.
        */
        get: function () {
            return this.i.cell;
        },
        enumerable: true,
        configurable: true
    });
    return IgcSpreadsheetEditModeEnteringEventArgs;
}(IgcCancelEventArgs));
export { IgcSpreadsheetEditModeEnteringEventArgs };
